### Method

# Msg DriveService create_folder

#### Declaration [src]

    MsgDriveItem*
    msg_drive_service_create_folder (
      MsgDriveService* self,
      MsgDriveItem* parent,
      const char* name,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new folder called name under parent.

#### Parameters

`parent`

  Type: `MsgDriveItem`

  Parent drive item.

  The data is owned by the caller of the method.

`name`

  Type: `const char*`

  Name of new folder.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A cancellable.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MsgDriveItem`

A newly created `MsgDriveItem`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.